
//=============================================================
#ifndef _SCORE_H_
#define _SCORE_H_
//==============================================================

#define Score_Max_Captions 10

#define Score_Time 2000.0f

#define Score_Structure     100   
#define Score_Truck         200   
#define Score_MesserSchmitt 300   
#define Score_Volker        400  
#define Score_Bombarder     500 

//---------
//struktura
//---------
struct CAPTION
{
	VECTOR3D Pos;
	float Time;
	int Value;
	bool Active;
};

//-------------------------------------------------------------
// Name: Score
// Desc: napisi skore ktore unikaju po zasahu nepriatela
//-------------------------------------------------------------
class SCORE
{
private:

	CAPTION Caption[Score_Max_Captions];

	PANEL2D Panel;

public:

	void Refresh();
	void DrawScore(int Value, VECTOR3D Pos);

	void Initialize();
	void Reset();

};


//==============================================================
#endif //_SCORE_H_